﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.Win32;

namespace WindowsFormsApplication34
{
    public partial class Form1 : Form
    {
        private static string originalLang;
        
        public Form1()
        {
            InitializeComponent();
            ultraComboEditor1.SelectedIndex = 0;
        }

        private void ultraDateTimeEditor1_BeforeDropDown(object sender, CancelEventArgs e)
        {
            originalLang = Registry.GetValue(@"HKEY_CURRENT_USER\Control Panel\International", "LocaleName", "en-US").ToString();
            Registry.SetValue(@"HKEY_CURRENT_USER\Control Panel\International", "LocaleName", ultraComboEditor1.SelectedItem.DataValue);
        }

        private void ultraDateTimeEditor1_AfterCloseUp(object sender, EventArgs e)
        {
            Registry.SetValue(@"HKEY_CURRENT_USER\Control Panel\International", "LocaleName", originalLang);
        }
    }
}
